utf-8-用pip下载gensim现身exception 求大佬们指引!!!

  Failed building wheel for Twisted

用pip下载gensim现身exception 求大佬们辅导!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 729
, in cleanup_files
req.remove_temporary_source()
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
977, in remove_temporary_source
rmtree(self.source_dir)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个顺序正在利用此文件,进程不能够访问。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

Windows8下安装Python的BeautifulSoup,windows8python

运维碰着:Windows 8.1
Python:2.7.6

在装置的时候,小编利用的pip来开展安装,命令如下:

复制代码 代码如下:

pip install beautifulsoup4

运维的时候,报错如下:

复制代码 代码如下:

Exception:
Traceback (most recent call last):
  File “J:Program Files
(x86)PythonPython27libsite-packagespipbasecomm
.py”, line 122, in main
    status = self.run(options, args)
  File “J:Program Files
(x86)PythonPython27libsite-packagespipcommands
stall.py”, line 278, in run
    requirement_set.prepare_files(finder,
force_root_egg_info=self.bundle, bu
e=self.bundle)
  File “J:Program Files
(x86)PythonPython27libsite-packagespipreq.py”,
ne 1229, in prepare_files
    req_to_install.run_egg_info()
  File “J:Program Files
(x86)PythonPython27libsite-packagespipreq.py”,
ne 292, in run_egg_info
    logger.notify(‘Running setup.py (path:%s) egg_info for package %s’
% (sel
etup_py, self.name))
  File “J:Program Files
(x86)PythonPython27libsite-packagespipreq.py”,
ne 265, in setup_py
    import setuptools
  File “buildbdist.win-amd64eggsetuptools__init__.py”, line
11, in <modul
    from setuptools.extension import Extension
  File “buildbdist.win-amd64eggsetuptoolsextension.py”, line 5,
in <modul
  File “buildbdist.win-amd64eggsetuptoolsdist.py”, line 15, in
<module>
  File “buildbdist.win-amd64eggsetuptoolscompat.py”, line 19, in
<module>
  File “J:Program Files
(x86)PythonPython27libSimpleHTTPServer.py”, line
, in <module>
    class
SimpleHTTPRequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
  File “J:Program Files
(x86)PythonPython27libSimpleHTTPServer.py”, line
8, in SimpleHTTPRequestHandler
    mimetypes.init() # try to read system mime.types
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 358, i
nit
    db.read_windows_registry()
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 258, i
ead_windows_registry
    for subkeyname in enum_types(hkcr):
  File “J:Program Files (x86)PythonPython27libmimetypes.py”,
line 249, i
num_types
    ctype = ctype.encode(default_encoding) # omit in 3.x!
UnicodeDecodeError: ‘ascii’ codec can’t decode byte 0xb0 in position 1:
ordin
not in range(128)

Storing debug log for failure in
C:UsersAdministratorpippip.log

不留余地办法:打开C:Python27Lib下的 mimetypes.py
文件,找到差不离256行的

复制代码 代码如下:

default_encoding = sys.getdefaultencoding()

改成:

复制代码 代码如下:

if sys.getdefaultencoding() != ‘gbk’:
    reload(sys)
    sys.setdefaultencoding(‘gbk’)
default_encoding = sys.getdefaultencoding()

安装成功后,验证是还是不是安装成功:

复制代码 代码如下:

C:UsersAdministrator>python
Python 2.7.6 (default, Nov 10 2013, 19:24:24) [MSC v.1500 64 bit
(AMD64)] on 32
Type “help”, “copyright”, “credits” or “license” for more information.
>>> from bs4 import BeautifulSoup
>>> exit()

借使“from bs4 import
BeautifulSoup”未有报错的话,则证实安装成功,不然,将报相符错误如下:

复制代码 代码如下:

Traceback (most recent call last):
  File “<stdin>”, line 1, in <module>
ImportError: No module named bs4

运转条件:Windows 8.1 Python:2.7.6
在装置的时候,我利用的pip来进行设置,命令如下: 复制代码 代…

    return s.decode(‘utf_8’)

Traceback (most recent call last):
File “c:program
filespython37libsite-packagespipbasecommand.py”, line 215, in
main
status = self.run(options, args)
File “c:program
filespython37libsite-packagespipcommandsinstall.py”, line
324, in run
requirement_set.prepare_files
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 380,
in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 634,
in prepare_file
abstract_dist.prep_for_dist()
File “c:program
filespython37libsite-packagespipreqreq_set.py”, line 129,
in prep_for_dist
self.req_to_install.run_egg_info()
File “c:program
filespython37libsite-packagespipreqreq_install.py”, line
439, in run_egg_info
command_desc=’python setup.py egg_info’)
File “c:program
filespython37libsite-packagespiputils
_init__.py”, line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File “c:program
filespython37libsite-packagespipcompat__init__.py”, line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 342, in run
prefix=options.prefix_path,
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_set.py”,
line 784
, in install
**kwargs
File
“C:ProgramDataAnaconda3libsite-packagespipreqreq_install.py”,
line
878, in install
spinner=spinner,
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

During handling of the above exception, another exception occurred:

During handling of the above exception, another exception occurred:

During handling of the above exception, another exception occurred:

参照连接方式:

有未有大佬告诉一下是哪里出了难题???

During handling of the above exception, another exception occurred:

Installing collected packages: pycparser, cffi, asn1crypto,
cryptography, pyOpenSSL, Twisted, pyasn1, pyasn1-modules,
service-identity, queuelib, scrapy

Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipbasecommand.py”,
line 215
, in main
status = self.run(options, args)
File
“C:ProgramDataAnaconda3libsite-packagespipcommandsinstall.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 38,
in exit
self.cleanup()
File
“C:ProgramDataAnaconda3libsite-packagespiputilsbuild.py”,
line 42,
in cleanup
rmtree(self.name)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorsix.py”,
line 686
, in reraise
raise value
File
“C:ProgramDataAnaconda3libsite-packagespip_vendorretrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:ProgramDataAnaconda3libsite-packagespiputils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:ProgramDataAnaconda3libshutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 378, in
_rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:ProgramDataAnaconda3libshutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:ProgramDataAnaconda3libsite-packagespiputils
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另三个前后相继正在选拔此文件,进程不也许访谈。: ‘C:Us
ersAaronAppDataLocalTemppip-build-v6n4yggtpymongo’

Traceback (most recent call last):

During handling of the above exception, another exception occurred:

  Running setup.py install for Twisted … error

pip install pymongo 总是报错
报错代码如下:
C:Windowssystem32>pip install pymongo
Collecting pymongo
Using cached pymongo-3.4.0.tar.gz
Building wheels for collected packages: pymongo
Running setup.py bdist_wheel for pymongo … error
Failed building wheel for pymongo
Running setup.py clean for pymongo
Failed cleaning build dir for pymongo
Failed to build pymongo
Installing collected packages: pymongo
Running setup.py install for pymongo … error
Exception:
Traceback (most recent call last):
File
“C:ProgramDataAnaconda3libsite-packagespipcompat__init__.py”,
line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

  Running setup.py clean for Twisted

相关文章

You can leave a response, or trackback from your own site.

Leave a Reply

网站地图xml地图